OpenVDB: InternalNode< ChildT, Log2Dim >::DenseIterator Class Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
InternalNode< ChildT, Log2Dim >::DenseIterator Class Reference

Visits all tile values and child nodes of this node. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for InternalNode< ChildT, Log2Dim >::DenseIterator:

## Public Member Functions
__hostdev__ | DenseIterator ()
__hostdev__ | DenseIterator (const InternalNode *parent)
DenseIterator & | operator= (const DenseIterator &)=default
__hostdev__ const ChildT * | probeChild (ValueType &value) const
__hostdev__ bool | isValueOn () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const
__hostdev__ uint32_t | operator* () const
__hostdev__ uint32_t | pos () const
__hostdev__ | operator bool () const
__hostdev__ DenseIterator & | operator++ ()
__hostdev__ DenseIterator | operator++ (int)

## Detailed Description

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
class nanovdb::InternalNode< ChildT, Log2Dim >::DenseIterator

Visits all tile values and child nodes of this node.

## Constructor & Destructor Documentation

## ◆ DenseIterator() [1/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ DenseIterator | ( |  | ) |
| inline

## ◆ DenseIterator() [2/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ DenseIterator | ( | const InternalNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inline

## ◆ isValueOn()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ bool isValueOn | ( |  | ) | const
| inline

## ◆ operator bool()

template<uint32_t LOG2DIM>

__hostdev__ operator bool | ( |  | ) | const
| inlineinherited

## ◆ operator*()

template<uint32_t LOG2DIM>

__hostdev__ uint32_t operator* | ( |  | ) | const
| inlineinherited

## ◆ operator++() [1/2]

template<uint32_t LOG2DIM>

__hostdev__ DenseIterator & operator++ | ( |  | ) |
| inlineinherited

## ◆ operator++() [2/2]

template<uint32_t LOG2DIM>

__hostdev__ DenseIterator operator++ | ( | int |  | ) |
| inlineinherited

## ◆ operator=()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

DenseIterator & operator= | ( | const DenseIterator & |  | ) |
| default

## ◆ pos()

template<uint32_t LOG2DIM>

__hostdev__ uint32_t pos | ( |  | ) | const
| inlineinherited

## ◆ probeChild()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ const ChildT * probeChild | ( | ValueType & | value | ) | const
| inline